Download it now!
Bug 46399 - EasyHack: vcl - cleanup empty methods ...
Summary: EasyHack: vcl - cleanup empty methods ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Greggory Hernandez
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-02-21 08:13 UTC by Michael Meeks
Modified: 2015-12-15 23:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Consolidate empty methods (9.75 KB, patch)
2012-02-21 19:54 UTC, Greggory Hernandez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-02-21 08:13:29 UTC
The vcl/inc/salobj.hxx interface is implemented by several platform backends but many of these use the same (empty) implementations for several of the methods eg.

'GrabFocus', 'SetBackround', and 'Enable'

it'd be great to have an empty default in the parent implementation instead, and remove all those dummy overrides in the headers and implementations.

It is possible that a few similar cases exist for other backend classes too.

Thanks :-)
Comment 1 Greggory Hernandez 2012-02-21 19:54:57 UTC
Created attachment 57430 [details]
Consolidate empty methods

I've sent this to the mailing list as well.
Comment 2 Michael Meeks 2012-02-22 01:41:59 UTC
thanks ! :-)
Comment 3 Not Assigned 2012-02-22 01:43:05 UTC
Greggory Hernandez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1cf3d1d6a18af079f8afd0b18be5b15b043948e

vcl: fdo#46399 cleanup and share dummy virtual methods ...
Comment 4 Robinson Tryon (qubit) 2015-12-15 23:49:34 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]